Name:           drapes
Version:        0.5.1
Release:        4%{?dist}
Summary:        A wallpaper manager application for the GNOME desktop

Group:          Applications/Multimedia
License:        GPL
URL:            http://drapes.mindtouchsoftware.com/
Source0:        http://drapes.mindtouchsoftware.com/release/0.5/drapes-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre):  GConf2
Requires(post): GConf2 scrollkeeper
Requires(postun): scrollkeeper
Requires(preun):  GConf2

Requires: hicolor-icon-theme, yelp, libbonobo
BuildRequires:  mono-devel, gnome-sharp-devel, gtk-sharp2-devel, gettext, desktop-file-utils, gnome-doc-utils
BuildRequires:  perl-XML-Parser, scrollkeeper
Requires: gnome-sharp

%description
Desktop drapes is a wallpaper manager application for the gnome desktop. 
It can randomly changing your wallpaper every once in a while, or 
whenever you fell like it. It can also automaticaly pickup any 
wallpapers you added to a directory with the ninja magic of inotify

%prep
%setup -q


%build
%configure --disable-schemas-install --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  $RPM_BUILD_ROOT/%{_datadir}/applications/drapes.desktop

%find_lang drapes

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/drapes.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/drapes.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/drapes.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f drapes.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_bindir}/drapes
%{_libdir}/drapes
%{_libdir}/bonobo/servers/*.server
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/omf/drapes
%{_datadir}/gnome/help/drapes
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/gconf/schemas/drapes.schemas
%{_mandir}/man1/*

%changelog
* Thu May 31 2007 Damien Durand <splinux@fedoraproject.org> - 0.5.1-4
- add gnome-sharp in requires

* Thu May 29 2007 Damien Durand <splinux@fedoraproject.org> - 0.5.1-3
- Fix setup part, rename to drapes

* Thu Apr 12 2007 Jef Spaleta <jspaleta@gmail.com> - 0.5.1-2
- Specfile cleanup for review

* Sat Mar 31 2007 Damien Durand <splinux@fedoraproject.org> - 0.5.1-1
- Initial RPM release
